public class LectureEntierPositif {

/* Lecture au clavier et retour d'un entier    */
/* Saisie par essais successifs                */

  static int lectureEntierPositif() {
    int v;
    v = Clavier.saisirInt();
    while ( v < 0 ) {
      Ecran.afficher("Erreur, resaisissez : ");
      v = Clavier.saisirInt(); }
    return v;
  }

/* Programme principal                         */

  public static void main(String [] args) {
    int n;
    Ecran.afficher("SVP, n : ");
    n = lectureEntierPositif();  
    Ecran.afficherln("Valeur lue = ",n);
  }
}